#if !defined(AFX_MONSTERSETDLG_H__C37FB6C3_E87A_4919_816F_D8BA0F58E41D__INCLUDED_)
#define AFX_MONSTERSETDLG_H__C37FB6C3_E87A_4919_816F_D8BA0F58E41D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// MonsterSetDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CMonsterSetDlg dialog

class CMonsterSetDlg : public CDialog
{
// Construction
public:
	CMonsterSetDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CMonsterSetDlg)
	enum { IDD = IDD_DIALOG_MONSTERSET };
	CListBox	m_listboxMonster;
	CString	m_strStartPos;
	short	m_sMonResTime;
	short	m_sMonResNum;
	short	m_sMaxMon;
	CString	m_strEndPos;
	BOOL	m_bMonsterView;
	UINT	m_nMonType;
	BYTE	m_bMonType;
	//}}AFX_DATA
	short m_sMin_x;
	short m_sMin_z;
	short m_sMax_x;
	short m_sMax_z;
	BOOL	m_bSelectRetion;

	int		m_iOriginNum;

	void	UpdateMonster(CString str);
	void	ClearMonsterData();
// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMonsterSetDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CMonsterSetDlg)
	virtual void OnOK();
	virtual void OnCancel();
	afx_msg void OnSelchangeListMonsterRegion();
	afx_msg void OnDblclkListMonsterRegion();
	afx_msg void OnCheckViewmonster();
	afx_msg void OnButtonDelete();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MONSTERSETDLG_H__C37FB6C3_E87A_4919_816F_D8BA0F58E41D__INCLUDED_)
